Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157347 - CAN-2005-1476 Multiple Firefox issues (CAN-2005-1477 CAN-2005-1531 CAN-2005-1532)
Summary: CAN-2005-1476 Multiple Firefox issues (CAN-2005-1477 CAN-2005-1531 CAN-2005-1...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox
Version: 4.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard: impact=important,embargoed=yes,source...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-10 20:14 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-23 09:14:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:434 normal SHIPPED_LIVE Important: firefox security update 2005-05-23 04:00:00 UTC

Description Josh Bressers 2005-05-10 20:14:54 UTC
Firefix 1.0.4 is going to be released, it fixes a number of issues.

        Upstream is fixing the following bugzilla.mozilla.org bugs:
        292691 (CAN-2005-1476 CAN-2005-1477)
            Potential for full compromise.  It seems we're not very affected.
            impact=moderate

        290908
            Javascript can gain chrome access
            impact=important

        290949
            link tag can give javascript chrome access
            impact=moderate

Comment 1 Warren Togami 2005-05-12 09:07:58 UTC
Can we please use this opportunity to fix directory/file ownerships in %files?

This would solve Bug #73893 and IT#72095 where lots of support time was wasted.
 The fix is fairly simple, just install the package and loop rpm -qi on every
file and directory in the installed tree to find unowned.

Comment 2 Mark J. Cox 2005-05-23 09:14:48 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-434.html



Note You need to log in before you can comment on or make changes to this bug.